- entityDefinitions:
  - IDI_Task_ViewClass: '{cd9366be-08d7-4b32-8963-3c42753fa8d9}'
  - IDI_Task_EditClass: '{a0eb7af0-45f4-40fb-beb3-3fe3c48e2ffd}'
  
  - IDE_ClassStart: '{8730d21a-44a8-4d93-9bf7-f8191ca08489}'
  - IDE_ClassSelect: '{bc393547-3a92-48b2-b0dc-7e93306ab5fb}'
  - IDE_ViewClassButtons: '{a3fd6203-8e9c-4b7f-b731-e73f9f77967e}'

  - IDE_Class_Tabs: '{4926d78c-4397-4a33-8462-740635c937f3}'
  - IDE_Class_Tabs_Structure: '{6550e278-eeeb-4efc-94c4-999a7dc41ca0}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ClassForEditClassTask;'
    name: 'Class for Edit Class Task'
    validClasses:
    - instance: '&IDC_Class;'

  - sequenceTask: '&IDI_Task_ViewClass;'
    name: 'View Class'
    initiatingElement: '&IDE_ClassSelect;'
    taskCategory: '&IDI_TaskCategory_Class;'
    
  - sequenceTask: '&IDI_Task_EditClass;'
    name: 'Edit Class'
    initiatingElement: '&IDE_ClassStart;'
    taskCategory: '&IDI_TaskCategory_Class;'
    
    # name: 'View Class'
    # taskCategory: '&IDI_TaskCategory_Class;'
    # moduleId: '&IDI_Module_MochaBaseSystem;'
    # schedulable: no
    # longRunning: no
    # suppressRIHints: no
    # stepName: View Class
    # showSpreadsheetButtonOnSelection: no
    # relatedAction:
    #   object: '&IDC_Class;'
    #   action: 'View'
    #   menuPath: 'Class > View'
    # initiatingElement: '&IDE_ViewClass;'
    # taskDirectiveRAMB: '&IDMB_Element__get_Help_Text_for_View_Element;' # Element@get Help Text for View Element(GRA)*P*S(public)[ramb]
    # enableSaveParameters: no
    # enableReportGroups: no
    # handledByControlTransaction: '&IDM_Element__View_Start;' # Element@ View Start(CT)*S
    # respondsWithElement: '&IDE_ViewElementEdit;'
    # updating: no
    # targetAudience: 'ESS'
    # businessProcessType: 'VIEWELEMENT'

  - element: '&IDE_ClassStart;'
    name: 'class task start'
    processedByCTMethod: '&IDM_ClassTaskStart;'
    elementContents:
    - globalIdentifier: '{ee79d85e-e8e9-47ed-b3b4-691ea5e8730a}'
      defaultDataType: '&IDE_ClassSelect;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'


  - element: '&IDE_ClassSelect;'
    name: 'class task start selection'
    elementContents:
    - globalIdentifier: '{6c035f37-a069-4256-8573-37eead06fcad}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'

  - element: '&IDE_ViewClassButtons;'
    name: 'view class buttons'
    elementContents:
    - globalIdentifier: '{dafb235b-ba1a-4b1a-8f9b-84cd987553e4}'
      layout:
      - globalIdentifier: '{31974c8d-9492-4f5b-a4d9-79c4e92f51c6}'
        type: '&IDC_ButtonLayout;'
        executesTask: '&IDI_Task_EditClass;'
        relatedInstance: '&IDI_WorkSet_TaskRelatedInstance;'
        parameterAssignments:
        - globalIdentifier: '{29164916-503e-4585-ba76-f37a3530d6dc}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
      label: 'Edit'
    - globalIdentifier: '{7059bd24-6a43-483f-b3fb-a2ae1e9ae90b}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Add Attribute'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{8a5cfa37-a9bd-40d0-bd1d-1fe476f06eb7}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    - globalIdentifier: '{ab3504b0-647c-4b1c-a7b6-3a51f98a9661}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Add Relationship'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{5699554a-f84d-4f4a-9250-e1a6a38c2b63}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    - globalIdentifier: '{d2e8f0c9-afc9-46ed-b688-aca1cdd2382d}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'View CCP'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{a256ac70-b5b1-4a86-9257-ad1b6c19c5dc}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    - globalIdentifier: '{3be24d93-6703-41c3-818f-46fb0a6986fb}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Edit CCP'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{7c774920-da93-414e-9b01-738c938eae5a}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    - globalIdentifier: '{14b55d31-5d0a-4970-8a20-4d42c472b073}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Edit Class as Instance Set'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{c60df0d9-a712-4b1b-82ea-cd4bbf8b797d}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    - globalIdentifier: '{2e078e30-5565-4e5f-8227-98980c98c2fd}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Visualize UML'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{f3100844-0133-4083-a1ae-a01b7baa2381}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'

  - element: '&IDE_ViewClass;'
    name: 'view class'
    elementContents:
    - globalIdentifier: '{36dcc0a3-9254-453f-b87d-1a9c57468826}'
      defaultDataType: '&IDE_Class_Tabs;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{7cebd1b5-3fed-47b9-adb6-653d169a4177}'
        options:
        - instance: '&IDI_GroupLayoutOption_Tabbed;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_Class_Tabs;'
    name: 'class tabs'
    elementContents:
    - globalIdentifier: '{00b1ac1e-f10e-4498-8a9f-b4cb0eabd7c0}'
      defaultDataType: '&IDE_Class_Tabs_Structure;'
      label: 'Structure'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;' # !FIXME: nonsingular does not work for some reason

  - element: '&IDE_Class_Tabs_Structure;'
    name: 'class structure'
    elementContents:
    - globalIdentifier: '{156e622f-da03-42f9-8d45-a85b9336501a}'
      defaultDataType: '&IDE_ViewClassButtons;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
    
    - globalIdentifier: '{24fbaf94-bcca-4513-b93d-6a1866a1641c}'
      defaultDataType: '&IDE_Class_Structure;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - element: '&IDE_EditClass;'
    name: 'edit class'
    elementContents:
    - globalIdentifier: '{f09f6918-3ad0-4160-af63-afffd6876706}'
      defaultDataType: '&IDE_Class_Tabs;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{ed47ac5b-4101-45bd-91f4-28294c51b63d}'
        options:
        - instance: '&IDI_GroupLayoutOption_Tabbed;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
    # - globalIdentifier: '{c24c0ac5-4d79-4cad-9cb7-9917722d12d0}'
    #   defaultDataType: '&IDC_Class;'
    #   displayOptions:
    #   - instance: '&IDI_DisplayOption_DisplayAsPageTitle;'
    #   - instance: '&IDI_DisplayOption_Required;'
    # - globalIdentifier: '{e9a6b12d-49a9-4224-bc1c-18cca8617fc2}'
    #   defaultDataType: '&IDE_Class_Structure;'
    #   displayOptions:
    #   - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    #   - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_Class_Structure;'
    name: 'class structure subedits'
    label: 'Structure'
    elementContents:
    - globalIdentifier: '{4628e3c2-6287-426e-9c23-709aa111aefc}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{31a93137-7274-4cae-8839-504e10cfbf10}'
      defaultDataType: '&IDA_Name;'
      
    - globalIdentifier: '{e03e9f51-2c56-44a4-948f-feaefeda56c5}'
      defaultDataType: '&IDR_Instance__for__Module;'
      label: Module
      
    - globalIdentifier: '{86315789-642a-46fd-9d06-110078704356}'
      defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      label: Access